/* Object Rexx (message operator is the tilde: ~) */

system=.bsf.cls~Class.JC~forName("string", "java.lang.System")  -- get the class object

properties=system~getProperties     -- get the System properties
enum=.bsf~wrapEnumeration( properties~propertyNames )      -- get an enumeration of the property names
key.=0
say copies("=", 70)
do i=1 to 9999 while enum~hasMoreElements       -- loop over enumeration
   key.i=enum~nextElement           -- get next element
end
key.0=i-1                             -- save # of stem array elements
say "key.0="key.0
call sysStemSort "Key.", "A", "I"   -- this was introduced in the Windows version of Object Rexx

do i=1 to key.0
   say "key:" pp(left(key.i, 30)) "value:" pp(properties~getProperty("String", key.i))
end


::requires "BSF.cls"       -- get the Object Rexx support for bsf4rexx

::routine pp   -- "cheap man's pretty print"
  return "[" || arg(1) || "]"

